Qt 5.11 | Qt Sensors | C++ Classes | QTiltFilter

Qt 5.11.3 Reference Documentation

# QTiltFilter Class

The QTiltFilter class is a convenience wrapper around QSensorFilter. More...

Header: | #include <QTiltFilter>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorFilter

- List of all members, including inherited members

## Public Functions

virtual bool | filter(QTiltReading *reading) = 0

- 1 public function inherited from QSensorFilter

## Detailed Description

The QTiltFilter class is a convenience wrapper around QSensorFilter.

The only difference is that the filter() method features a pointer to QTiltReading instead of QSensorReading.

## Member Function Documentation

### `[pure virtual]` bool QTiltFilter::filter(QTiltReading *reading)

Called when reading changes. Returns false to prevent the reading from propagating.

See also QSensorFilter::filter().